Pango::FontMap Class Reference

A Pango::FontMap represents the set of fonts available for a particular rendering system. More...

`#include <pangomm/fontmap.h>`

Inheritance diagram for Pango::FontMap:
[legend]

## Public Member Functions

| FontMap (FontMap && src) noexcept
FontMap & | operator= (FontMap && src) noexcept
| ~FontMap () noexcept override
PangoFontMap * | gobj ()
| Provides access to the underlying C GObject.
const PangoFontMap * | gobj () const
| Provides access to the underlying C GObject.
PangoFontMap * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Font > | load_font (const Glib::RefPtr< Context > & context, const FontDescription & desc) const
| Load the font in the fontmap that is the closest match for desc.
Glib::RefPtr< Fontset > | load_fontset (const Glib::RefPtr< Context > & context, const FontDescription & desc, const Language & language) const
| Load a set of fonts in the fontmap that can be used to render a font matching desc.
Glib::RefPtr< Context > | create_context ()
| Creates a Pango::Context connected to fontmap.
Glib::ArrayHandle< Glib::RefPtr< FontFamily > > | list_families () const
| List all families for the fontmap.
guint | get_serial () const
| Returns the current serial number of fontmap.

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Symbols

(Note that these are not member symbols.)
Glib::RefPtr< Pango::FontMap > | wrap (PangoFontMap * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Pango::FontMap represents the set of fonts available for a particular rendering system.

## Constructor & Destructor Documentation

## FontMap()

Pango::FontMap::FontMap | ( | FontMap && | src | ) |

noexcept

## ~FontMap()

Pango::FontMap::~FontMap | ( |  | ) |

override noexcept

## Member Function Documentation

## create_context()

Glib::RefPtr< Context > Pango::FontMap::create_context | ( |  | ) |

Creates a Pango::Context connected to fontmap.

This is equivalent to Pango::Context::new() followed by Pango::Context::set_font_map().

If you are using Pango as part of a higher-level system, that system may have it's own way of create a Pango::Context. For instance, the GTK+ toolkit has, among others, gdk_pango_context_get_for_screen(), and gtk_widget_get_pango_context(). Use those instead.

Since pangomm 1.22

Returns
  The newly allocated Pango::Context, which should be freed with Glib::object_unref().

## get_serial()

guint Pango::FontMap::get_serial | ( |  | ) | const

Returns the current serial number of fontmap.

The serial number is initialized to an small number larger than zero when a new fontmap is created and is increased whenever the fontmap is changed. It may wrap, but will never have the value 0. Since it can wrap, never compare it with "less than", always use "not equals".

The fontmap can only be changed using backend-specific API, like changing fontmap resolution.

This can be used to automatically detect changes to a Pango::FontMap, like in Pango::Context.

Since pangomm 1.32.4

Returns
  The current serial number of fontmap.

## get_type()

GType Pango::FontMap::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

## gobj() [1/2]

PangoFontMap * Pango::FontMap::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

## gobj() [2/2]

const PangoFontMap * Pango::FontMap::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

## gobj_copy()

PangoFontMap * Pango::FontMap::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## list_families()

Glib::ArrayHandle< Glib::RefPtr< FontFamily > > Pango::FontMap::list_families | ( |  | ) | const

List all families for the fontmap.

Returns
  an array of pointers to Pango::FontFamily objects.

## load_font()

Glib::RefPtr< Font > Pango::FontMap::load_font | ( | const Glib::RefPtr< Context > & | context,
|  | const FontDescription & | desc ) const

Load the font in the fontmap that is the closest match for desc.

Parameters

  context | The Pango::Context the font will be used with.
  desc | A Pango::FontDescription describing the font to load.

Returns
  The newly allocated Pango::Font loaded, or nullptr if no font matched.

## load_fontset()

Glib::RefPtr< Fontset > Pango::FontMap::load_fontset | ( | const Glib::RefPtr< Context > & | context,
|  | const FontDescription & | desc,
|  | const Language & | language ) const

Load a set of fonts in the fontmap that can be used to render a font matching desc.

Parameters

  context | The Pango::Context the font will be used with.
  desc | A Pango::FontDescription describing the font to load.
  language | A Pango::Language the fonts will be used for.

Returns
  The newly allocated Pango::Fontset loaded, or nullptr if no font matched.

## operator=()

FontMap & Pango::FontMap::operator= | ( | FontMap && | src | ) |

noexcept

## Friends And Related Symbol Documentation

## wrap()

Glib::RefPtr< Pango::FontMap > wrap | ( | PangoFontMap * | object,
|  | bool | take_copy = false )

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.